PFITQX(3)

SYNOPSIS
SUBROUTINE PFITQX (LUN, KPRINT, IPASS)

NAME
pfitqx - Quick check for POLFIT, PCOEF and PVALUE.

LIBRARY
SLATEC

TYPE
SINGLE PRECISION (PFITQX-S, DPFITT-D)

AUTHOR
(UNKNOWN)

ROUTINES CALLED
CMPARE, PASS, PCOEF, POLFIT, PVALUE, R1MACH, XERCLR, XGETF, XSETF

COMMON BLOCKS
CHECK

REVISION HISTORY (YYMMDD)
?????? DATE WRITTEN
890911 Removed unnecessary intrinsics. (WRB)
890921 Realigned order of variables in the COMMON block. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900911 Test problem changed and cosmetic changes to code. (WRB)
901205 Changed usage of R1MACH(3) to R1MACH(4) and modified the FORMATs. (RWC)
910708 Minor modifications in use of KPRINT. (WRB)
920214 Code restructured to test for all values of KPRINT and to provide more PASS/FAIL information. (WRB)